+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
AUX splashutils-1.5.4.3-daemon-exit-signal.patch 2764 RMD160 cbfc7e4139fbf9f7b28a53da5ff53f5420c4c5fd SHA1 5e30fa7c4d76ad559f13795b022d45169a2bee71 SHA256 8d7d17ae6591f3de0bde18c537166710b1eac0f6aeb1507aecdf8d6a3d1553eb
AUX splashutils-1.5.4.3-fix_rc_var.patch 1084 RMD160 d60bdea6625c9ce4d42d281c38888b8bcb823525 SHA1 31b831b79ea3944a52d0ca9fd45891c73170c758 SHA256 c51b29f3c6191ac6259db52f56050a34872f07a78463a1ac1e4fbaf89d2f81d8
AUX splashutils-1.5.4.3-libjpeg.patch 1693 RMD160 d26031ef3f618bca870431dc1c2fdeba443dca23 SHA1 1c557e9db5a93470e8c6fcde6d63ade1f75fc3bc SHA256 83d9a0ededa96c213a3120c45969d6b8f00e97f2104a221541badd67f82259c7
DIST freetype-2.3.12.tar.bz2 1453034 RMD160 57437a2bc0d85859cff2ca1253b36e64629397a1 SHA1 ebf0438429c0bedd310059326d91646c3c91016b SHA256 3b96438f016a62b676c1d2089c00ca777f710d19f6aefa66ccf068d360db3e92
DIST jpegsrc.v8a.tar.gz 962018 RMD160 cdf6c356ea1a631e37256893e80206ad6ecc3fab SHA1 78077fb22f0b526a506c21199fbca941d5c671a9 SHA256 bf86a5eaafa79b5d60feb27bee08df2db4c9ca2fb40d453e7a2080f7663a713b
DIST libpng-1.2.43.tar.bz2 678799 RMD160 6c108f06ae32a86ddd8571e9031f143932f19531 SHA1 28ea29305d233669ce565894a95151e4427d1f34 SHA256 c76d5540b0c09e130497be8906e0acadbbf9e299d0aa2258d912c4ee7cacc82a
+DIST libpng-1.4.3.tar.bz2 658335 RMD160 ad0abc000e0a338d94ff7f8fe2b862d5944ec7bb SHA1 82eda95439daaef6ed564b1532cf805b01759557 SHA256 2b022f39f4788505ad62a4b1f4a33286228d544719680da40f3626393ecde4a2
DIST miscsplashutils-0.1.8.tar.bz2 91997 RMD160 5efe2bfb8ae409d3e59e82b473454d94e44149ab SHA1 d3d0df74b4f613e505d662134a7af5c0cc488108 SHA256 38e8434c7266126477237c4d9e6cbeca152089ab33c14a7761089b7970f8d336
DIST splashutils-gentoo-1.0.16.tar.bz2 15568 RMD160 f4831c381ac875b5bf9ad9ff527ae2e6cfd2b5d5 SHA1 6756807056c94f4dcc99f73489039dced6aecf4b SHA256 f9c51f442b5a638ac68a731925da57c3402d9506f160681fc01bf80e396d409d
DIST splashutils-lite-1.5.4.3.tar.bz2 426935 RMD160 e15b1c52d8c9c2886951fa7a674a9fc1707a0316 SHA1 943ffaae0b96305809ffb52f417a0fca2651a742 SHA256 3f21bd57ac67bd7426caa3ff5791d3609567db3bcd4319da29867ec42cadb362
DIST zlib-1.2.3.tar.bz2 425209 RMD160 cfba9984b354dcc38da49331457e6bfc861c6f51 SHA1 967e280f284d02284b0cd8872a8e2e04bfdc7283 SHA256 e3b9950851a19904d642c4dec518623382cf4d2ac24f70a76510c944330d28ca
EBUILD splashutils-1.5.4.3-r2.ebuild 7735 RMD160 d408d604760baacbd700f0007ecfa50f361491a7 SHA1 a41f454cf4e4dda7c6d9704e1bf67d77b9d6ef1a SHA256 e4bb884fff7c2e5f9cf22d221cee8a54640c0790d6548889971fc5840ee2ee70
-MISC ChangeLog 32019 RMD160 3a60301909cdce7c87ac389b32b06f2b21ed1034 SHA1 84cde5c8c949e4a7f8c33edebb43cd640f8b5a4c SHA256 8f376c5b3e6055890264b7754623351c2ff00e463588434759177eaddb48fc7c
+EBUILD splashutils-1.5.4.3-r3.ebuild 7733 RMD160 7329649d41f61f9bafb54340ff8816a0896da45a SHA1 f647e683573d97ba769f1b8c96607fc607ba021a SHA256 b19456eec790a610e6fc2e0b87fa7600c3f635a4a2ca0a9e6b0eb650b62895c8
+MISC ChangeLog 32190 RMD160 29062a7a71a8e56b9c43c203d302a7cb878eb635 SHA1 30b5b767558e7b02028726035bf3e954b9b84dd9 SHA256 9dee5004cb597742ad8b35f0fcc6fda82a6f6130ce8b8860640d668020f79127
MISC metadata.xml 311 RMD160 77b41213be37a5c0c7d5822d480ae11acc1af542 SHA1 34dbe221785f338326999be3fdabc0a29df8cf31 SHA256 d548d0cef598c99abeeba18f5308fe482651ebea18746195d86e53ba334f3392
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.15 (GNU/Linux)
+
+iEYEARECAAYFAkwvgwEACgkQchej4aZK9/cSvwCfZ0lyYAJixxu5gKaAevJ6vxhC
+eqcAnimZCeQCHipYSEv0SSQdFbT++cMe
+=FOgy
+-----END PGP SIGNATURE-----
--- /dev/null
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/splashutils/splashutils-1.5.4.3-r3.ebuild,v 1.1 2010/07/03 18:35:30 spock Exp $
+
+EAPI="2"
+
+inherit autotools eutils multilib toolchain-funcs
+
+MISCSPLASH="miscsplashutils-0.1.8"
+GENTOOSPLASH="splashutils-gentoo-1.0.16"
+V_JPEG="8a"
+V_PNG="1.4.3"
+V_ZLIB="1.2.3"
+V_FT="2.3.12"
+
+ZLIBSRC="libs/zlib-${V_ZLIB}"
+LPNGSRC="libs/libpng-${V_PNG}"
+JPEGSRC="libs/jpeg-${V_JPEG}"
+FT2SRC="libs/freetype-${V_FT}"
+
+RESTRICT="test"
+IUSE="hardened +png +truetype +mng gpm fbcondecor"
+
+DESCRIPTION="Framebuffer splash utilities."
+HOMEPAGE="http://fbsplash.berlios.de"
+SRC_URI="mirror://berlios/fbsplash/${PN}-lite-${PV}.tar.bz2
+ mirror://berlios/fbsplash/${GENTOOSPLASH}.tar.bz2
+ mirror://gentoo/${MISCSPLASH}.tar.bz2
+ mirror://sourceforge/libpng/libpng-${V_PNG}.tar.bz2
+ ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v${V_JPEG}.tar.gz
+ mirror://sourceforge/freetype/freetype-${V_FT}.tar.bz2
+ http://www.gzip.org/zlib/zlib-${V_ZLIB}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+RDEPEND="gpm? ( sys-libs/gpm )
+ truetype? ( >=media-libs/freetype-2 )
+ png? ( >=media-libs/libpng-1.2.7 )
+ mng? (
+ =media-libs/lcms-1*
+ media-libs/libmng
+ )
+ >=media-libs/jpeg-6b:0
+ >=sys-apps/baselayout-1.9.4-r5
+ app-arch/cpio
+ media-gfx/fbgrab
+ !sys-apps/lcdsplash"
+DEPEND="${RDEPEND}
+ >=dev-libs/klibc-1.5
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${P/_/-}"
+SG="${WORKDIR}/${GENTOOSPLASH}"
+SM="${WORKDIR}/${MISCSPLASH}"
+
+pkg_setup() {
+ if use hardened; then
+ ewarn "Due to problems with klibc, it is currently impossible to compile splashutils"
+ ewarn "with 'hardened' GCC flags. As a workaround, the package will be compiled with"
+ ewarn "-fno-stack-protector. Hardened GCC features will not be used while building"
+ ewarn "the splash kernel helper."
+ fi
+}
+
+src_prepare() {
+ mv "${WORKDIR}"/{libpng-${V_PNG},jpeg-${V_JPEG},zlib-${V_ZLIB},freetype-${V_FT}} "${S}/libs"
+ # We need to delete the Makefile and let it be rebuilt when splashutils
+ # is being configured. Either that, or we end up with a segfaulting kernel
+ # helper.
+ rm "${S}/libs/zlib-${V_ZLIB}/Makefile"
+
+ cd "${S}"
+ ln -sf "${S}/src" "${WORKDIR}/core"
+
+ if ! tc-is-cross-compiler && \
+ has_version "sys-devel/gcc:$(gcc-version)[vanilla]" ; then
+ ewarn "Your GCC was built with the 'vanilla' flag set. If you can't compile"
+ ewarn "splashutils, you're on your own, as this configuration is not supported."
+ else
+ # This should make splashutils compile on systems with hardened GCC.
+ sed -e 's@K_CFLAGS =@K_CFLAGS = -fno-stack-protector@' -i "${S}/Makefile.in"
+ fi
+
+ if ! use truetype ; then
+ sed -i -e 's/fbtruetype kbd/kbd/' "${SM}/Makefile"
+ fi
+
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-makefile.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-splash_geninitramfs.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-libjpeg.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-daemon-exit-signal.patch
+
+ cd "${SG}"
+ if has_version ">=sys-apps/openrc-0.4.0"; then
+ epatch "${FILESDIR}"/splashutils-openrc-0.4-fix.patch
+ if has_version ">=sys-apps/openrc-0.4.3"; then
+ epatch "${FILESDIR}"/splashutils-openrc-0.4.3-runlevel-fix.patch
+ fi
+ fi
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-fix_rc_var.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-openrc-umount-fix.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-nondefault-runlevel.patch
+ epatch "${FILESDIR}"/splashutils-1.5.4.3-openrc-effects.patch
+ cd "${S}"
+
+ rm -f m4/*
+ eautoreconf
+}
+
+src_configure() {
+ tc-export CC
+ cd "${SM}"
+ emake CC="${CC}" LIB=$(get_libdir) STRIP=true || die "failed to build miscsplashutils"
+
+ cd "${S}"
+ econf \
+ $(use_with png) \
+ $(use_with mng) \
+ $(use_with gpm) \
+ $(use_with truetype ttf) \
+ $(use_with truetype ttf-kernel) \
+ $(use_enable fbcondecor) \
+ --docdir=/usr/share/doc/${PF} \
+ --with-freetype2-src=${FT2SRC} \
+ --with-jpeg-src=${JPEGSRC} \
+ --with-lpng-src=${LPNGSRC} \
+ --with-zlib-src=${ZLIBSRC} \
+ --with-essential-libdir=/$(get_libdir) || die "failed to configure splashutils"
+}
+
+src_compile() {
+ emake CC="${CC}" STRIP="true" || die "failed to build splashutils"
+
+ if has_version ">=sys-apps/baselayout-1.13.99"; then
+ cd "${SG}"
+ emake LIB=$(get_libdir) || die "failed to build the splash plugin"
+ fi
+}
+
+src_install() {
+ local LIB=$(get_libdir)
+
+ cd "${SM}"
+ make DESTDIR="${D}" LIB=${LIB} install || die
+
+ cd "${S}"
+ make DESTDIR="${D}" STRIP="true" install || die
+
+ mv "${D}"/usr/${LIB}/libfbsplash.so* "${D}"/${LIB}/
+ gen_usr_ldscript libfbsplash.so
+
+ echo 'CONFIG_PROTECT_MASK="/etc/splash"' > 99splash
+ doenvd 99splash
+
+ if use fbcondecor ; then
+ newinitd "${SG}"/init-fbcondecor fbcondecor
+ newconfd "${SG}"/fbcondecor.conf fbcondecor
+ fi
+ newconfd "${SG}"/splash.conf splash
+
+ insinto /usr/share/${PN}
+ doins "${SG}"/initrd.splash
+
+ insinto /etc/splash
+ doins "${SM}"/fbtruetype/luxisri.ttf
+
+ if has_version ">=sys-apps/baselayout-1.13.99"; then
+ cd "${SG}"
+ make DESTDIR="${D}" LIB=${LIB} install || die "failed to install the splash plugin"
+ else
+ cp "${SG}"/splash-functions-bl1.sh "${D}"/sbin/
+ fi
+
+ sed -i -e "s#/lib/splash#/${LIB}/splash#" "${D}"/sbin/splash-functions.sh
+ keepdir /${LIB}/splash/{tmp,cache,bin}
+ dosym /${LIB}/splash/bin/fbres /sbin/fbres
+}
+
+pkg_preinst() {
+ has_version "<${CATEGORY}/${PN}-1.0"
+ previous_less_than_1_0=$?
+
+ has_version "<${CATEGORY}/${PN}-1.5.3"
+ previous_less_than_1_5_3=$?
+}
+
+pkg_postinst() {
+ if has_version sys-fs/devfsd || ! has_version sys-fs/udev ; then
+ elog "This package has been designed with udev in mind. Other solutions, such as"
+ elog "devfs or a static /dev tree might work, but are generally discouraged and"
+ elog "not supported. If you decide to switch to udev, you might want to have a"
+ elog "look at 'The Gentoo udev Guide', which can be found at"
+ elog " http://www.gentoo.org/doc/en/udev-guide.xml"
+ elog ""
+ fi
+
+ if [[ $previous_less_than_1_0 = 0 ]] ; then
+ elog "Since you are upgrading from a pre-1.0 version, please make sure that you"
+ elog "rebuild your initrds. You can use the splash_geninitramfs script to do that."
+ elog ""
+ fi
+
+ if [[ $previous_less_than_1_5_3 = 0 ]] && ! use fbcondecor ; then
+ elog "Starting with splashutils-1.5.3, support for the fbcondecor kernel patch"
+ elog "is optional and dependent on the the 'fbcondecor' USE flag. If you wish"
+ elog "to use fbcondecor, run:"
+ elog " echo \"media-gfx/splashutils fbcondecor\" >> /etc/portage/package.use"
+ elog "and re-emerge splashutils."
+ fi
+
+ if ! test -f /proc/cmdline ||
+ ! egrep -q '(console=tty1|CONSOLE=/dev/tty1)' /proc/cmdline ; then
+ elog "It is required that you add 'console=tty1' to your kernel"
+ elog "command line parameters."
+ elog ""
+ elog "After these modifications, the relevant part of the kernel command"
+ elog "line might look like:"
+ elog " splash=silent,fadein,theme:emergence console=tty1"
+ elog ""
+ fi
+
+ if ! has_version 'media-gfx/splash-themes-livecd' &&
+ ! has_version 'media-gfx/splash-themes-gentoo'; then
+ elog "The sample Gentoo themes (emergence, gentoo) have been removed from the"
+ elog "core splashutils package. To get some themes you might want to emerge:"
+ elog " media-gfx/splash-themes-livecd"
+ elog " media-gfx/splash-themes-gentoo"
+ fi
+
+ elog "Please note that the 'fbsplash' kernel patch has now been renamed to"
+ elog "'fbcondecor'. Accordingly, the old 'splash' initscript is now called"
+ elog "'fbcondecor'. Make sure you update your system. See:"
+ elog " http://dev.gentoo.org/~spock/projects/fbcondecor/#history"
+ elog "for further info about the name changes."
+ elog ""
+ elog "Also note that splash_util has now been split into splash_util, fbsplashd"
+ elog "and fbcondecor_ctl."
+}